Subject: Compile Problems

From: [email-masked]
Date: Tue, 14 Mar 1995 09:23:58 -0600

[I just started reading this list, and the first articles I see may be the
remains of
a thread which poses the same question.  Sorry if this is repetitious.]

I am trying to compile version 2.4 under Solaris 2.3.  The individual files 
compile without error, but in response to the linking phase of

gcc -g -DEBUG -I.. -I../support -L../support -o eachmodule (a bunch of .o
files) -lsupport -lsocket -lnsl -lgen

I get 

ld:elf error file ../support/libsupport.a: unable to locate archive symbol table
Request error: offset out of range

Is my response unique, or have others seen this one.

Candles in Advance...
Robert Ambrogi
Network Provacateur
[email-masked]

---

From: Tommy Williams <[email-masked]>
Date: Tue, 14 Mar 1995 14:37:51 -0600 (CST)

I compiled wu-ftpd-2.4 under Solaris 2.3 with gcc 2.6.3 with no problems. 
Is it possible that you're missing some libraries? If you can, you may 
want to stick the Solaris 2.3 CD in and get some more of the libraries 
and binary compatibility stuff. I had to install some additional things 
for another compile, so I bet I got the necessary pieces then.

Sorry I can't be more specific. I just don't remember.

--
Tommy Williams
mailto:[email-masked]
  Go, go, go, said the bird: human kind /  Cannot bear very much reality.
    T.S. Eliot, _Four Quartets_

---

From: Maarten Boekhold <[email-masked]>
Date: Wed, 15 Mar 1995 20:42:22 +0200 (METDST)

> Is my response unique, or have others seen this one.

I had the same messages, well not exactly the same, but it came down to 
it. I had to change teh makefile in support/. It says: RANLIB = touch. 
Just change this in RANLIB-ranlib and you should be OK.

Maarten

_____________________________________________________________________________
|    Maarten Boekhold, Faculty of Electronical Engineering TU Delft,  NL    |
|        [email-masked]      [email-masked]         |
|          <a href="http://morra.et.tudelft.nl/~boekhold">me</a>            | 
-----------------------------------------------------------------------------